# ~~~
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}")
find_package(ProtobufWithTargets)
find_package(gRPC)

include("${CMAKE_CURRENT_LIST_DIR}/googleapis-targets.cmake")

foreach (_target
         api_annotations
         api_auth
         api_client
         api_field_behavior
         api_http
         api_resource
         bigtable
         cloud_bigquery
         devtools_cloudtrace_v2_trace
         devtools_cloudtrace_v2_tracing
         iam_v1_iam_policy
         iam_v1_options
         iam_v1_policy
         longrunning_operations
         pubsub
         rpc_error_details
         rpc_status
         spanner
         storage
         type_expr)
    set(scoped_name "googleapis-c++::${_target}_protos")
    set(imported_name "googleapis_cpp_${_target}_protos")
    if (NOT TARGET ${scoped_name})
        add_library(${scoped_name} IMPORTED INTERFACE)
        set_target_properties(${scoped_name}
                              PROPERTIES INTERFACE_LINK_LIBRARIES
                              ${imported_name})
    endif ()
endforeach ()
